de.esprit.appsuite.java5

## Class JavaCommandLauncher

- java.lang.Object
- - de.esprit.appsuite.java5.JavaCommandLauncher

-     public class JavaCommandLauncher
      extends java.lang.Object

  This class is a safety wrapper around the launch of an external foreign Java process. It catches launch Exceptions of the foreign VM-process and forces it to exit in case of failure. It also confirms a launchPrefsTry file if any.
  Author:
    Rainer Buesch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `appLaunchPrefsFileName`
    `static java.lang.String` | `appLaunchPrefsTryFileName`
    `static java.lang.String` | `docTypeAppLaunchPrefs`
    `static java.lang.String` | `ESPRIT_APP_CACHE_LAUNCH_DIR` IMPORTANT: These constants must NEVER be renamed!!!!!!!!!!!!!!!!!!!!!!!!!!!!

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaCommandLauncher()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.io.File` | `getAppLaunchPrefsFile(java.io.File launchDir)`
    `static java.io.File` | `getAppLaunchPrefsTryFile(java.io.File launchDir)`
    `static void` | `main(java.lang.String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ESPRIT_APP_CACHE_LAUNCH_DIR

          public static final java.lang.String ESPRIT_APP_CACHE_LAUNCH_DIR

      IMPORTANT: These constants must NEVER be renamed!!!!!!!!!!!!!!!!!!!!!!!!!!!! The compiled Java-5 code of this class is packed in javaLaunch.jar and must never change!
      See Also:
        Constant Field Values

    - #### docTypeAppLaunchPrefs

          public static final java.lang.String docTypeAppLaunchPrefs

      See Also:
        Constant Field Values

    - #### appLaunchPrefsFileName

          public static final java.lang.String appLaunchPrefsFileName

      See Also:
        Constant Field Values

    - #### appLaunchPrefsTryFileName

          public static final java.lang.String appLaunchPrefsTryFileName

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JavaCommandLauncher

          public JavaCommandLauncher()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

    - #### getAppLaunchPrefsTryFile

          public static java.io.File getAppLaunchPrefsTryFile(java.io.File launchDir)

    - #### getAppLaunchPrefsFile

          public static java.io.File getAppLaunchPrefsFile(java.io.File launchDir)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.